Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 86829 - mnemonic sign '&' is displayed on UI
mnemonic sign '&' is displayed on UI
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Editor
5.x
All All
: P3 (vote)
: 6.x
Assigned To: pslechta
issues@javaee
61fixes1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-10 06:37 UTC by Masaki Katakai
Modified: 2008-06-04 08:43 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (25.80 KB, image/png)
2006-10-10 06:37 UTC, Masaki Katakai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2006-10-10 06:37:03 UTC
It seems that these messages are displayed on exact UI as they are.

j2ee/verification/src/org/netbeans/modules/j2ee/verification/persistence/hints/Bundle.properties

CreateRelationshipPanel.radioOwningSide.text=&1\: Class {0}
CreateRelationshipPanel.radioInversedSide.text=&2\: Class {0}

See screenshot. Actually mnemonic are set to '1' and '2', but '&' is
also displayed.

Is this core API issue? Please change the component/sub component
if this is not an issue of j2ee.
Comment 1 Masaki Katakai 2006-10-10 06:37:40 UTC
Created attachment 35068 [details]
screenshot
Comment 2 Tomasz Slota 2007-03-21 14:08:45 UTC
This will be addressed in 6.0, probably by replacing numbers representing choices by capital letters (A 
and B)
Comment 3 pslechta 2008-04-17 15:45:57 UTC
Fixed.

http://hg.netbeans.org/main/rev/2e6c47e2b4f4
Comment 4 pslechta 2008-04-21 14:51:05 UTC
FIX CORRECTION: (please ignore previous fix)

http://hg.netbeans.org/main/rev/db9099a42567
Comment 5 Dan Kolar 2008-04-23 15:52:17 UTC
v. in trunk
Comment 6 Petr Blaha 2008-04-24 14:30:00 UTC
Mark as verified.
Comment 7 pslechta 2008-04-28 11:00:19 UTC
The fix has been ported into the release61_fixes branch.

http://hg.netbeans.org/release61_fixes/rev/5ebcc3100eef


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo